#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Removing $PRODUCTNAME"

if [ -L "$IPCDIR/magik" ]
then
	unlink "$IPCDIR/magik"
fi
rm -rf "$INSTALLDIR/$PRODUCTNAME"
rm -rf "$IPCDIR/$PRODUCTNAME.ver"
rm -rf "/etc/systemd/system/$PRODUCTNAME.service"
rm -rf "/etc/amiserv5"
rm -rf $INSTALLDIR/$PRODUCTNAME

systemctl daemon-reload
rm -rf "$TMPDIR"
exit
