#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

. $INSTALLDIR/$PRODUCTNAME/InstallScripts/include.sh

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Stoppping $PRODUCTNAME"
systemctl stop $PRODUCTNAME >/dev/null 2>&1

$mysqlcmd -e "DROP SCHEMA IF EXISTS amiserv5"
$mysqlcmd -e "DROP SCHEMA IF EXISTS supervision3"
$mysqlcmd -e "DROP SCHEMA IF EXISTS chatplugin"

users=$($mysqlcmd -B -N mysql -e "SELECT GROUP_CONCAT('\'',user, '\'@\'', host, '\'') FROM mysql.user WHERE user = 'amiserv5';")
$mysqlcmd -e "DROP USER $users;";

exit
